org.appng.xml.platform

## Class Messages

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Messages

- All Implemented Interfaces:
    Serializable

      public class Messages
      extends BaseObject
      implements Serializable

  A set of `Message`s
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Message>` | `messageList`
    `protected String` | `ref`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Messages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Message>` | `getMessageList()` Gets the value of the messageList property.
    `String` | `getRef()` The name of the `PageReference`/`Action`/`Datasource`/`FieldDef` those messages are referring to.
    `void` | `setRef(String value)` Sets the value of the ref property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### messageList

          protected List<Message> messageList

    - #### ref

          protected String ref

  - ### Constructor Detail

    - #### Messages

          public Messages()

  - ### Method Detail

    - #### getMessageList

          public List<Message> getMessageList()

      Gets the value of the messageList property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messageList property.

      For example, to add a new item, do as follows:

              getMessageList().add(newItem);

      Objects of the following type(s) are allowed in the list `Message`

    - #### getRef

          public String getRef()

      The name of the `PageReference`/`Action`/`Datasource`/`FieldDef` those messages are referring to.
      Returns:
        possible object is `String`

    - #### setRef

          public void setRef(String value)

      Sets the value of the ref property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.